export type ColorSet = {
  root: string;
  on_root: string;
  container: string;
  on_container: string;
  fixed: string;
  fixed_dim: string;
  on_fixed: string;
  fixed_variant: string;
  inverse: string;
};

export type Surface = {
  root: string;
  dim: string;
  bright: string;
  container: string;
  container_lowest: string;
  container_low: string;
  container_high: string;
  container_highest: string;
  on_root: string;
  on_root_variant: string;
  inverse: string;
  on_inverse: string;
};

export type Baseline = {
  primary: ColorSet;
  secondary: ColorSet;
  tertiary: ColorSet;
  error: ColorSet;
  surface: Surface;
  outline: string;
  outline_variant: string;
  scrim: string;
  shadow: string;
  customs: Record<string, ColorSet>;
};

export type MaterialDesign3Scheme = {
  white: string;
  black: string;
  light_baseline: Baseline;
  dark_baseline: Baseline;
};

export type MaterialDesign3SchemeSource = {
  source: string | null;
  error: string | null;
  custom_colors?: Record<string, string>;
};

export type MaterialDesign3SchemeStorage = {
  source?: MaterialDesign3SchemeSource;
  scheme?: MaterialDesign3Scheme;
  cssVariables?: string;
  scssVariables?: string;
  jsVariables?: string;
};
