import { isEmpty, isNil } from 'lodash-es';

export function defaultEmptyFormData<D>(formData: FormData, param: string, defaultValue: D): D {
  const value = formData.get(param);
  if (isNil(value) || isEmpty(value)) {
    return defaultValue;
  }
  return value;
}

export function defaultEmptyValue<T, D>(value: T, defaultValue: D): T | D {
  if (isNil(value) || isEmpty(value)) {
    return defaultValue;
  }
  return value;
}
